Bug 1415414 - SELinux is preventing brcupsconfpt1 from 'execute' accesses on the file /etc/ld.so.cache.
Summary: SELinux is preventing brcupsconfpt1 from 'execute' accesses on the file /etc/...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:81e21f553896b7909d45e810194...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-21 18:34 UTC by LK
Modified: 2017-12-12 10:48 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:48:48 UTC
Type: ---


Attachments (Terms of Use)
File: Screenshot from 2017-01-21 13-16-10.png (64.85 KB, application/octet-stream)
2017-01-21 18:34 UTC, LK
no flags Details

Description LK 2017-01-21 18:34:13 UTC
Description of problem:
Simple Scan was launched via command line as root, as scanner was not recognized launching normally.  
Scanner was recognized and scan executed.  
Upon attempting to save scanned document as PDF file the application locked up with following warning in terminal:

Error creating proxy: The connection is closed (g-io-error-quark, 18)
Gdk-Message: Error reading events from display: Broken pipe
SELinux is preventing brcupsconfpt1 from 'execute' accesses on the file /etc/ld.so.cache.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that brcupsconfpt1 should be allowed execute access on the ld.so.cache file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'brcupsconfpt1' --raw | audit2allow -M my-brcupsconfpt1
# semodule -X 300 -i my-brcupsconfpt1.pp

Additional Information:
Source Context                system_u:system_r:cupsd_t:s0-s0:c0.c1023
Target Context                system_u:object_r:ld_so_cache_t:s0
Target Objects                /etc/ld.so.cache [ file ]
Source                        brcupsconfpt1
Source Path                   brcupsconfpt1
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           glibc-2.24-4.fc25.x86_64 glibc-2.24-4.fc25.i686
Policy RPM                    selinux-policy-3.13.1-225.6.fc25.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.9.4-201.fc25.x86_64 #1 SMP Tue
                              Jan 17 18:58:54 UTC 2017 x86_64 x86_64
Alert Count                   23
First Seen                    2017-01-21 12:53:00 EST
Last Seen                     2017-01-21 12:53:02 EST
Local ID                      9ad39be8-3b0b-4803-a548-54331b27dea4

Raw Audit Messages
type=AVC msg=audit(1485021182.472:194): avc:  denied  { execute } for  pid=955 comm="brmfcj825dwfilt" path="/etc/ld.so.cache" dev="sdb2" ino=2229685 scontext=system_u:system_r:cupsd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:ld_so_cache_t:s0 tclass=file permissive=0


Hash: brcupsconfpt1,cupsd_t,ld_so_cache_t,file,execute

Version-Release number of selected component:
selinux-policy-3.13.1-225.6.fc25.noarch

Additional info:
reporter:       libreport-2.8.0
hashmarkername: setroubleshoot
kernel:         4.9.4-201.fc25.x86_64
type:           libreport

Potential duplicate: bug 1257617

Comment 1 LK 2017-01-21 18:34:19 UTC
Created attachment 1243167 [details]
File: Screenshot from 2017-01-21 13-16-10.png

Comment 2 RyanEatsFish 2017-01-22 17:37:22 UTC
Description of problem:
This is an oldie but goodie.  One of these days I'm going to figure out how to fix it myself and get a commit bit.  But until then...
This happens when previewing a PDF in Chrome and then using the Chrome print dialog to print to my Brother printer on a network printer port (over IP).  The print job goes through, and everything seems to work properly, but this error comes up.
I hope that's helpful, and thanks in advance to whomever the badass is that addresses all this stuff.

Version-Release number of selected component:
selinux-policy-3.13.1-225.6.fc25.noarch

Additional info:
reporter:       libreport-2.8.0
hashmarkername: setroubleshoot
kernel:         4.9.3-200.fc25.x86_64
type:           libreport

Comment 3 Fedora End Of Life 2017-11-16 19:36:36 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2017-12-12 10:48:48 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.